Tales of Hearts R [JPN]

04-18-2014, 04:00 AM
#21
Quote:
Originally Posted by nicodemus82 View Post
Nope, It's 4S and above I'm afraid and currently only supports iOS 6.0
Wait... I thought it only supports iPhone 6 and iOS 8.0?